Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162647 - Subpixel rendering disappears when using Gtk2.7
Summary: Subpixel rendering disappears when using Gtk2.7
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 07:40 UTC by Viet Yen Nguyen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-11 15:40:48 UTC


Attachments (Terms of Use)

Description Viet Yen Nguyen 2005-07-07 07:40:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
After installing gtk2.7 from devel, subpixel rendering for fonts disappears in all GTK application, with exception the font used in GNOME-terminal. Anti-aliasing becomes the default then. 

The settings of the font applet in Preferences also have no effect on the settings, with exception to the font used in GNOME-terminal. 

Some more info about my system:
pango-1.9.0-1
fontconfig-2.2.3-13

Using bitstream vera family

After re-installing GTk2.6.8, fonts become normal again.

Version-Release number of selected component (if applicable):
gtk2-2.7.1-1

How reproducible:
Always

Steps to Reproduce:
1.Install GTK2.7.1
2.Log out
3.Log in
4.Fonts are now anti aliased instead of subpixel rendered
  

Actual Results:  The fonts are no longer subpixel rendered, which I prefer. Settings these preferences again do no have any effect.

Expected Results:  Subpixel rendering should be maintained according to the keys in Gconf.

Additional info:

Comment 1 Matthias Clasen 2005-07-11 15:40:48 UTC
Tracked upstream in http://bugzilla.gnome.org/show_bug.cgi?id=305391


Note You need to log in before you can comment on or make changes to this bug.